Subject: Re: Starting the arch/powerpc merge

From: Pantelis Antoniou <[email-masked]>
Date: Tue, 27 Sep 2005 12:51:25 +0300

Paul Mackerras wrote:
> Pantelis Antoniou writes:
> 
> 
>>Count me in too; using a 970 in 32 bit mode, because of gentoo X.org
>>problems in 64 bit mode.
> 
> 
> I'm using an X.org server on a ppc64 kernel, and it all works,
> including DRI.  Both 32-bit and 64-bit X server and clients work.  We
> now have the 32-bit ioctl compatibility sorted out in the kernel DRM.
> So I don't think X is a reason to run a 32-bit kernel any more.
> 
> What X.org problems do you see with a 64-bit kernel?
> 
> Paul.
> 
> 
> 

I didn't really tried a very recent kernel, I tried it about a month ago,
and it didn't work. Could be a gentoo problem for all I know.

Since I don't have time to debug these kind of problems, it's really nice
to know that it now works :).

No worries then.

Regards

Pantelis